Bug 116848 - kickstart directive "skipx" is not acknowledged for a headless machine
kickstart directive "skipx" is not acknowledged for a headless machine
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
powerpc Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
FC2
:
Depends On:
Blocks: 116727
  Show dependency treegraph
 
Reported: 2004-02-25 13:38 EST by James Laska
Modified: 2013-09-02 01:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-17 20:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-02-25 13:38:12 EST
Customer is doing a kickstart install on an IBM p630 7028-6C4 with no
video cards.  They are generating a ks.cfg using
redhat-config-kickstart.  The kickstart file appears valid and was
confirmed to be internally.  However, in anaconda we are detecting
that the machine has no video cards, assuming it is a headless
install, but later (in kickstart.py) looking for id.xsetup.skipx but
id.xsetup is None.

The piece of code in anaconda that detects the headless machine is:

if not isHeadless:
    #
    # Probe what is available for X and setup a hardware state
    #
    # try to probe interesting hw
    import rhpl.xserver as xserver
    skipddcprobe = (skipddc or (x_already_set and flags.test))
    skipmouseprobe = not (not os.environ.has_key('DISPLAY') or
flags.setupFilesystems)
                                                                     
                            
    (videohw, monitorhw, mousehw) =
xserver.probeHW(skipDDCProbe=skipddcprobe,
                                                    skipMouseProbe =
skipmouseprobe)
    # if the len(videocards) is zero, then let's assume we're isHeadless
    if len(videohw.videocards) == 0:
        print _("No video hardware found, assuming headless")
        videohw = None
        monitorhw = None
        mousehw = None
        isHeadless = 1
    else:
        # setup a X hw state for use later with configuration.
        try:
            xcfg = xhwstate.XF86HardwareState(defcard=videohw,
                                              defmon=monitorhw)
        except Exception, e:
            print _("Unable to instantiate a X hardware state object.")
            xcfg = None

Current workarounds suggested are to not use the "skipx" kickstart
directive for a headless machine.
Comment 2 Jeremy Katz 2004-03-16 16:19:48 EST
Simple workaround of "don't specify X config for machines that have no
X hardware" for now... will look at fixing better in the future (and
probably not going to backport unless someone screams loud)
Comment 6 Jeremy Katz 2004-03-23 14:04:35 EST
Fixed on trunk of CVS (*not* the branch) for future releases 
Comment 9 Jay Turner 2004-08-17 20:32:13 EDT
Fix is present in anaconda-9.1.3-2.RHEL to work around this issue.
Comment 10 John Flanagan 2004-09-02 01:39:49 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-417.html

Note You need to log in before you can comment on or make changes to this bug.